Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetCallbackQueryAnswer

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.CallbackQueryAnswer>
it.tdlight.jni.TdApi.GetCallbackQueryAnswer

Enclosing class:
  TdApi

public static final class TdApi.GetCallbackQueryAnswer extends TdApi.Function<TdApi.CallbackQueryAnswer>
Sends a callback query to a bot and returns an answer. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

Returns `CallbackQueryAnswer`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat with the message.
`static final int`
`CONSTRUCTOR`
`long`
`messageId`
Identifier of the message from which the query originated.
`TdApi.CallbackQueryPayload`
`payload`
Query payload.

## Constructor Summary

Constructors
Constructor
Description
`GetCallbackQueryAnswer()`
Sends a callback query to a bot and returns an answer.
`GetCallbackQueryAnswer(long chatId, long messageId, TdApi.CallbackQueryPayload payload)`
Sends a callback query to a bot and returns an answer.
`GetCallbackQueryAnswer(DataInput input)`
Sends a callback query to a bot and returns an answer.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat with the message.

### messageId

public long messageId
Identifier of the message from which the query originated.

### payload

public TdApi.CallbackQueryPayload payload
Query payload.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetCallbackQueryAnswer

public GetCallbackQueryAnswer()
Sends a callback query to a bot and returns an answer. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

Returns `CallbackQueryAnswer`

### GetCallbackQueryAnswer

public GetCallbackQueryAnswer(long chatId, long messageId, TdApi.CallbackQueryPayload payload)
Sends a callback query to a bot and returns an answer. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

Returns `CallbackQueryAnswer`

Parameters:
  `chatId` - long Identifier of the chat with the message.
  `messageId` - long Identifier of the message from which the query originated.
  `payload` - CallbackQueryPayload Query payload.

### GetCallbackQueryAnswer

public GetCallbackQueryAnswer(DataInput input) throws IOException
Sends a callback query to a bot and returns an answer. Returns an error with code 502 if the bot fails to answer the query before the query timeout expires.

Returns `CallbackQueryAnswer`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`